| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
ConversionSvc::WorkerEntry Class Referencefinal

`#include <GaudiKernel/ConversionSvc.h>`

Collaboration diagram for ConversionSvc::WorkerEntry:
[legend]

## Public Member Functions
| WorkerEntry (const CLID &cl, IConverter *cnv)
| WorkerEntry (const WorkerEntry &copy)
WorkerEntry & | operator= (const WorkerEntry &copy)
IConverter * | converter ()
const CLID & | clID () const

## Private Attributes
CLID | m_class
IConverter * | m_converter

## Detailed Description

Definition at line 51 of file ConversionSvc.h.

## Constructor & Destructor Documentation

ConversionSvc::WorkerEntry::WorkerEntry | ( | const CLID & | cl,
|  | IConverter * | cnv
| ) |  |
| inline

Definition at line 56 of file ConversionSvc.h.

57 : m_class(cl), m_converter(cnv) {
58 }
ConversionSvc::WorkerEntry::m_class
CLID m_class
Definition: ConversionSvc.h:53
ConversionSvc::WorkerEntry::m_converter
IConverter * m_converter
Definition: ConversionSvc.h:54

ConversionSvc::WorkerEntry::WorkerEntry | ( | const WorkerEntry & | copy | ) |
| inline

Definition at line 59 of file ConversionSvc.h.

60 : m_class(copy.m_class), m_converter(copy.m_converter) {
61 }
std::copy
T copy(T...args)
ConversionSvc::WorkerEntry::m_class
CLID m_class
Definition: ConversionSvc.h:53
ConversionSvc::WorkerEntry::m_converter
IConverter * m_converter
Definition: ConversionSvc.h:54

## Member Function Documentation

const CLID& ConversionSvc::WorkerEntry::clID | ( |  | ) | const
| inline

Definition at line 70 of file ConversionSvc.h.

70 {
71 return m_class;
72 }
ConversionSvc::WorkerEntry::m_class
CLID m_class
Definition: ConversionSvc.h:53

IConverter* ConversionSvc::WorkerEntry::converter | ( |  | ) |
| inline

Definition at line 67 of file ConversionSvc.h.

67 {
68 return m_converter;
69 }
ConversionSvc::WorkerEntry::m_converter
IConverter * m_converter
Definition: ConversionSvc.h:54

WorkerEntry& ConversionSvc::WorkerEntry::operator= | ( | const WorkerEntry & | copy | ) |
| inline

Definition at line 62 of file ConversionSvc.h.

62 {
63 m_class = copy.m_class;
64 m_converter = copy.m_converter;
65 return *this;
66 }
std::copy
T copy(T...args)
ConversionSvc::WorkerEntry::m_class
CLID m_class
Definition: ConversionSvc.h:53
ConversionSvc::WorkerEntry::m_converter
IConverter * m_converter
Definition: ConversionSvc.h:54

## Member Data Documentation

CLID ConversionSvc::WorkerEntry::m_class
| private

Definition at line 53 of file ConversionSvc.h.

IConverter* ConversionSvc::WorkerEntry::m_converter
| private

Definition at line 54 of file ConversionSvc.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/ConversionSvc.h